summaryrefslogtreecommitdiff
path: root/dev-python/PyPDF2/PyPDF2-1.26.0-r1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
commit8ddb1a3d1229412a438971f82d37d518a0223726 (patch)
tree83438b5ddb9d23a390f1a3fc505303d3d2223bf2 /dev-python/PyPDF2/PyPDF2-1.26.0-r1.ebuild
parent9acab46e1a820daece7b2e631485c157ce2210ad (diff)
downloadbaldeagleos-repo-21.1.5.tar.gz
baldeagleos-repo-21.1.5.tar.xz
baldeagleos-repo-21.1.5.zip
Adding metadatav21.1.5
Diffstat (limited to 'dev-python/PyPDF2/PyPDF2-1.26.0-r1.ebuild')
-rw-r--r--dev-python/PyPDF2/PyPDF2-1.26.0-r1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/PyPDF2/PyPDF2-1.26.0-r1.ebuild b/dev-python/PyPDF2/PyPDF2-1.26.0-r1.ebuild
new file mode 100644
index 000000000000..5f538020ffa4
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-1.26.0-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to work with pdf files"
+HOMEPAGE="https://pypi.org/project/PyPDF2/ https://github.com/mstamy2/PyPDF2"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc64 x86"
+IUSE="examples"
+
+PATCHES=( "${FILESDIR}/${P}-py3-tests.patch" )
+
+python_test() {
+ "${EPYTHON}" -m unittest Tests.tests || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r Sample_Code/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}